/**
 * Base header abstract class
 */
export { BaseHeader } from './lib/codec/abstracts/BaseHeader';
/**
 * Network packet codec
 */
export { Codec } from './lib/codec/Codec';
/**
 * Flexible Object for codec data instance
 */
export { FlexibleObject } from './lib/codec/lib/FlexibleObject';
/**
 * Types
 */
export { type CodecEncodeResult } from './lib/codec/types/CodecEncodeResult';
export { type CodecEncodeInput } from './lib/codec/types/CodecEncodeInput';
export { type CodecDecodeResult } from './lib/codec/types/CodecDecodeResult';
export { type CodecSchema } from './lib/codec/types/CodecSchema';
export { type HeaderTreeNode } from './lib/codec/types/HeaderTreeNode';
export { type CodecModuleConstructor } from './lib/codec/types/CodecModuleConstructor';
export { type CodecModule } from './lib/codec/types/CodecModule';
export { type CodecErrorInfo } from './lib/codec/types/CodecErrorInfo';
/**
 * Schemas
 */
export { type ProtocolFieldJSONSchema } from './lib/schema/ProtocolFieldJSONSchema';
export { type ProtocolFieldJSONSchemaDefinition } from './lib/schema/ProtocolFieldJSONSchemaDefinition';
export { type ProtocolJSONSchema } from './lib/schema/ProtocolJSONSchema';
/**
 * Enums
 */
export { StringContentEncodingEnum } from './lib/codec/lib/StringContentEncodingEnum';
//# sourceMappingURL=CodecExports.d.ts.map