export type GeneratePCAPInputPacket = {
    frameBase64Data: string;
    timestamp?: number;
    microsecond?: {
        seconds: number;
        microseconds: number;
    };
};
export type GeneratePCAPPacket = {
    buffer: Buffer;
    timestamp?: number;
    microsecond?: {
        seconds: number;
        microseconds: number;
    };
};
/**
 * Generate pcap file header's buffer
 * @constructor
 */
export declare function GeneratePCAPHeader(): Buffer;
/**
 * Generate single record data in pcap file
 * @param packet
 * @constructor
 */
export declare function GeneratePCAPData(packet: GeneratePCAPPacket): Buffer;
/**
 * Generate whole pcap file buffer data
 * @param packets
 * @constructor
 */
export declare function GeneratePCAP(packets?: GeneratePCAPInputPacket[]): Buffer;
//# sourceMappingURL=PCAPGenerator.d.ts.map